/* CS207 Lib
 * 
 * A sample library for the online version of the course for use with Lab 6.
 * http://www.cs.uregina.ca/Links/class-info/207/Lab6/
 *
 * The functions in this library are based on sample functions presented in
 * the "Functions for Beginners" video in Lab 5: https://youtu.be/8n8pvO_MK40
 * 
 * These functions have been wrapped up in a class as suggested by the 
 * Arduino Library Tutorial: https://www.arduino.cc/en/Hacking/LibraryTutorial
 * One benefit of doing this is that it avoids polluting the Arduino namespace
 * without requiring :: scoping syntax or using directives. 
 *
 * For usage, see the included example.
 *
 * Created by Alex Clarke
 * on July 28, 2020
 */

#ifndef __CS207_Lib__
#define __CS207_Lib__

#include "Arduino.h" //Required for all Arduino Libraries

class CS207
{
public:
	void init();
	void init(int serialSpeed);
	void printColumn(String l, float v);
	void newline();
	float mapf(float input, float fLow, float fHigh, float tLow, float tHigh);
	float g_to_oz(float grams);
};

extern CS207 cs207;

#endif //__CS207_Lib__